#!/bin/sh

# check/add a new path to ld.so.conf
Add_ldso()
{
	local ldcnf=etc/ld.so.conf
	local newlib=

	if [ $# -eq 1 ]; then
		newlib=$1
	else
		# wrong params, abort silently
		return 1
	fi

	if [ -s $ldcnf ]; then
		if [ -z "`fgrep -x $newlib $ldcnf`" ]; then
			echo "$newlib" >> $ldcnf
		fi
	else
		echo "$newlib" >> $ldcnf
	fi
	chmod 644 $ldcnf
	return 0
}

# reconstruct holes in shared libs
for f in usr/openwin/lib/lib*.so.?.?
do
	bname=`basename $f`
	cp $f usr/openwin/lib/t$bname || exit 1
	rm -f $f
	mv usr/openwin/lib/t$bname $f
done

# create symlinks to be usable even without calling 'ldconfig'
( cd usr/i486-linuxaout/lib ; ln -sf libdb.so.1.85.1 libdb.so.1 )
( cd usr/openwin/lib ; ln -sf  libUIC.so.2.0 libUIC.so.2 )
( cd usr/openwin/lib ; ln -sf  libUSS.so.2.0 libUSS.so.2 )
( cd usr/openwin/lib ; ln -sf  libolg.so.3.0 libolg.so.3 )
( cd usr/openwin/lib ; ln -sf  libss.so.3.1 libss.so.3 )
( cd usr/openwin/lib ; ln -sf  libxv3.so.3.0 libxv3.so.3 )

# add library path
Add_ldso /usr/openwin/lib

